{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/bdbs/crdt_sources-alerts",
  "title": "Database CRDT sources alerts requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/bdbs/crdt_sources-alerts/",
  "summary": "Conflict-free replicated data type (CRDT) source alert requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "42107ddf06c1fd093aa745a7c6777be9bd4d179299d83dd1b5ddc8d3de51bee0",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-all-bdbs-crdt-sources-alerts) | `/v1/bdbs/crdt_sources/alerts` | Get all CRDT sources alert states for all CRDB databases |\n| [GET](#get-bdbs-crdt-sources-alerts) | `/v1/bdbs/crdt_sources/alerts/{uid}` | Get all CRDT sources alert states for a database |\n| [GET](#get-bdbs-crdt-source-all-alerts) | `/v1/bdbs/crdt_sources/alerts/{uid}/{crdt_src_id}` | Get all alert states for a CRDT source |\n| [GET](#get-bdbs-crdt-source-alert) | `/v1/bdbs/crdt_sources/alerts/{uid}/{crdt_src_id}/{alert}` | Get a database alert state |"
    },
    {
      "id": "get-all-bdbs-crdt-sources-alerts",
      "title": "Get all CRDB CRDT source alert states",
      "role": "content",
      "text": "GET /v1/bdbs/crdt_sources/alerts\n\nGet all alert states for all CRDT sources of all CRDBs.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_all_bdbs_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_all_bdbs_alerts) |"
    },
    {
      "id": "get-all-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/crdt_sources/alerts \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |"
    },
    {
      "id": "get-all-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of alert UIDs and the [alerts states](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) for each local BDB of CRDB.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-all-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |"
    },
    {
      "id": "get-bdbs-crdt-sources-alerts",
      "title": "Get all BDB CRDT sources alert states",
      "role": "content",
      "text": "GET /v1/bdbs/crdt_sources/alerts/{int: uid}\n\nGet all alert states for all crdt sources for a specific local bdb of a CRDB.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_bdb_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_alerts) |"
    },
    {
      "id": "get-request-all-crdt-alerts",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/crdt_sources/alerts/1 \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database |"
    },
    {
      "id": "get-response-all-crdt-alerts",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of [alert objects](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) and their states.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes-all-crdt-alerts",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified bdb does not exist |"
    },
    {
      "id": "get-bdbs-crdt-source-all-alerts",
      "title": "Get all CRDT source alert states",
      "role": "content",
      "text": "GET /v1/bdbs/crdt_sources/alerts/{int: uid}/{int: crdt_src_id}\n\nGet all alert states for specific crdt source for a specific local BDB\nof a CRDB.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_bdb_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_alerts) |"
    },
    {
      "id": "get-request-crdt-alerts",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/crdt_sources/alerts/1/2 \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database |\n| crdt_src_id | integer | The ID of the crdt source in this BDB |"
    },
    {
      "id": "get-response-crdt-alerts",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of [alert objects](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) and their states. \n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes-crdt-alerts",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified bdb does not exist |"
    },
    {
      "id": "get-bdbs-crdt-source-alert",
      "title": "Get database alert state",
      "role": "content",
      "text": "GET /v1/bdbs/crdt_sources/alerts/{int: uid}/{int: crdt_src_id}/{alert}\n\nGet a BDB alert state.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_bdb_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_alerts) |"
    },
    {
      "id": "get-request-alert",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/crdt_sources/alerts/1/2/crdt_src_syncer_connection_error \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database |\n| crdt_src_id | integer | The ID of the crdt source in this BDB |\n| alert | string | The alert name |"
    },
    {
      "id": "get-response-alert",
      "title": "Response",
      "role": "returns",
      "text": "Returns an [alert object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert).\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes-alert",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [400 Bad Request](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1) | Bad request |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified alert or bdb does not exist |"
    }
  ],
  "examples": [
    {
      "id": "get-all-response-ex0",
      "language": "json",
      "code": "{\n    \"1\": {\n        \"crdt_src_syncer_connection_error\": {\n            \"enabled\": true,\n            \"state\": true,\n            \"threshold\": \"80\",\n            \"change_time\": \"2014-08-29T11:19:49Z\",\n            \"severity\": \"WARNING\",\n            \"change_value\": {\n                \"state\": true,\n                \"threshold\": \"80\",\n                \"memory_util\": 81.2\n            }\n        },\n        \"...\"\n    },\n    \"...\"\n}",
      "section_id": "get-all-response"
    },
    {
      "id": "get-response-all-crdt-alerts-ex0",
      "language": "json",
      "code": "{\n    \"crdt_src_syncer_connection_error\": {\n        \"enabled\": true,\n        \"state\": true,\n        \"threshold\": \"80\",\n        \"severity\": \"WARNING\",\n        \"change_time\": \"2014-08-29T11:19:49Z\",\n        \"change_value\": {\n            \"state\": true,\n            \"threshold\": \"80\",\n            \"memory_util\": 81.2\n        }\n    },\n    \"...\"\n}",
      "section_id": "get-response-all-crdt-alerts"
    },
    {
      "id": "get-response-crdt-alerts-ex0",
      "language": "json",
      "code": "{\n    \"crdt_src_syncer_connection_error\": {\n        \"enabled\": true,\n        \"state\": true,\n        \"threshold\": \"80\",\n        \"severity\": \"WARNING\",\n        \"change_time\": \"2014-08-29T11:19:49Z\",\n        \"change_value\": {\n            \"state\": true,\n            \"threshold\": \"80\",\n            \"memory_util\": 81.2\n        }\n    },\n    \"...\"\n}",
      "section_id": "get-response-crdt-alerts"
    },
    {
      "id": "get-response-alert-ex0",
      "language": "json",
      "code": "{\n    \"enabled\": true,\n    \"state\": true,\n    \"threshold\": \"80\",\n    \"severity\": \"WARNING\",\n    \"change_time\": \"2014-08-29T11:19:49Z\",\n    \"change_value\": {\n        \"state\": true,\n        \"threshold\": \"80\",\n        \"memory_util\": 81.2\n    }\n}",
      "section_id": "get-response-alert"
    }
  ]
}
